

//includes
#include  "msp430g2302.h"

/// InitializeClocks
/*!
       Takterzeugung und Taktquelle wird festgelegt.
       Wenn keine Kalibrationsdaten fr den 1MHz Takt vorhhanden sind, wird das Programm nicht weiter ausgefhrt
 */
void InitializeClocks(void)
{    
  //while(CALBC1_1MHZ ==0xFF || CALDCO_1MHZ == 0xFF); //! Wenn CAL* gelscht wurde, Programm nicht weiter ausfhren sondern in einer Endlosscheleife fangen

  BCSCTL1 = CALBC1_1MHZ;                            //! Kalibrierungswerte in die Controllregister laden
  DCOCTL = CALDCO_1MHZ;
  BCSCTL2 &= ~(DIVS_3);                             //! Systemtakt auf 1MHz einstellen  
}
